(function($) {
    "use strict";

    $(window).on('elementor/frontend/init', function () {

        /* project filter */
        elementorFrontend.hooks.addAction('frontend/element_ready/ova_elementor_project_filter.default', function(){

            $('.project-filter-button-wrapper .project-filter-button').click(function(){
          
                $(".project-filter-button-wrapper .project-filter-button").removeClass("active-category");

                $(this).addClass("active-category");        

                    var selector =  $(this).attr('data-slug');
                    
                      $(".content-pro").isotope({
                            filter: selector, 
                            animationOptions: { 
                                duration: 750, 
                                easing: 'linear', 
                                queue: false, 
                            }
                        });

                   var length = $('.content-pro').height() ;

                   if (length === 0) {
                        $('.ova-nodata').css("display", "inline-block");
                   } else {
                        $('.ova-nodata').css("display", "none");
                   }

                return false; 
            });

        });
        $('.ova-project').each( function(){
            var $grid = $(this).find('.content-pro');
            $grid.isotope({ filter: '*' });
        });
        
    });

})(jQuery);