<?php

if ( !defined( 'ABSPATH' ) ) exit();

class OVAPRO_templates_loader {
	
	/**
	 * The Constructor
	 */
	public function __construct() {
		add_filter( 'template_include', array( $this, 'ovapro_template_loader' ) );
	}

	public function ovapro_template_loader( $template ) {

		$post_type 	= isset($_REQUEST['post_type'] ) ? esc_html( $_REQUEST['post_type'] ) : get_post_type();
	
		if ( is_tax( 'category_project' ) || get_query_var( 'category_project' ) != '' ) {
			$paged 		= get_query_var('paged') ? get_query_var('paged') : '1';
			query_posts( '&category_project='.get_query_var( 'category_project' ).'&paged=' . $paged );
			ovapro_get_template( 'archive-project.php' );
			return false;
		}

		// Is Project Post Type
		if (  $post_type == 'ova_projects' ) {
			
			if ( is_post_type_archive( 'ova_projects' ) ) {
				ovapro_get_template( 'archive-project.php' );
				return false;
			} elseif ( is_single() ) {
				ovapro_get_template( 'single-project.php' );
				return false;
			}
		}

		if ( $post_type !== 'ova_projects' ){

			return $template;
		}
	}
}

new OVAPRO_templates_loader();
