(function($){
    "use strict";

    $(window).on('elementor/frontend/init', function () {

        /* ajax project filter 2  */
        elementorFrontend.hooks.addAction('frontend/element_ready/ova_elementor_project_filter_2.default', function(){
            $('.project-filter-2').each( function() {

                var that = $(this);
                var btn     = that.find('.project-filter-button');
                load_ajax('all');

                btn.each( function() {
                    $(this).on('click', function() {

                        $('.wrap_loader').css('display','block');
                        $('.ova-nodata').css( "display", "none" );

                        that.find(".project-filter-button").removeClass("active-category");
                        $(this).addClass("active-category");

                        var term = $(this).attr( "data-slug" );
                        load_ajax(term);

                    });
                });

            });

        });

        function load_ajax(term){

            var post_per_page = $('.project-item-filter-2').attr('data-count');
            var orderby       = $('.project-item-filter-2').attr('data-orderby');
            var order         = $('.project-item-filter-2').attr('data-order');
            var offset        = $('.project-item-filter-2').attr('data-offset');
            var show_link     = $('.project-item-filter-2').attr('data-show_link');

            $.ajax({
               url: ajax_object.ajax_url,
               type: 'POST',
               data: ({
                   action:        'ova_load_project_filter_2',
                   term:          term,
                   post_per_page: post_per_page,
                   orderby:       orderby,
                   order:         order,
                   offset:        offset,
                   show_link:     show_link
             }),
                success: function( data ) {

                    $('.project-item-filter-2').empty();
                    $('.project-item-filter-2 ').append(data).fadeIn(300);
                    $('.wrap_loader').css('display','none');
                    
                    if( data === '' ) {

                        $( '.ova-nodata' ).css( "display", "inline-block" );

                    }
                }
            });
        }  
    });       
         
})(jQuery)