<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */
if ( !defined( 'ABSPATH' ) ) exit();

    if ( isset( $args['id'] ) && $args['id'] ) {
        $id = $args['id'];
    } else {
        $id = get_the_id();
    }
    $files = get_post_meta( get_the_ID(), 'ova_project_gallery' , 1 );

?>
<?php if($files) { ?>
<div class="ova-project-gallery">
    <div class="content gallery-project">
        <?php foreach($files as $photo_id => $photo_url): ?>
            <?php 
                $image_alt = get_post_meta($photo_id, '_wp_attachment_image_alt', TRUE);
            ?>
        <div class="item">
            <a href="<?php  echo esc_html($photo_url); ?>"  data-fancybox="project-photo" data-caption="<?php echo esc_attr( $image_alt ); ?>">
                <img src="<?php echo esc_url($photo_url); ?>" class="img-responsive project-img" alt="<?php echo esc_attr($image_alt); ?>">
            </a>
        </div>
        <?php endforeach; ?>
    </div>
</div>

<?php } else { ?>
<h2 class="photo-null">Photo not found</h2>
<?php } ?>