<?php if ( !defined( 'ABSPATH' ) ) exit();

$number_column  = get_theme_mod( 'ova_project_column_layout', 'three_column' );

global $wp_query;

$posts_per_page  = isset( $_GET['posts_per_page'] ) ? sanitize_text_field( $_GET['posts_per_page'] ) : '';
$posts_per_page  = $posts_per_page != '' ? $posts_per_page : get_theme_mod( 'ova_project_total_record', 6 );

$total           = $wp_query->max_num_pages;
$count_pages     = wp_count_posts( $post_type = 'ova_projects' )->publish;


$count_posts = wp_count_posts( 'ova_projects' )->publish;



$last_page_fix = '';

if ($count_posts < 5) {

    $last_page_fix = 'fix_height_item_last_page';
}

$fix_height      = $posts_per_page < 5 ? 'fix_height_item' : '';

$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

if($paged > 1){

    $total_last_page =  (int)$count_pages % (int)$posts_per_page;

    if( $paged == $total){
        $last_page_fix   = $total_last_page < 5 ? 'fix_height_item_last_page' : '';
    }
}


?>
<div class="row_site">
    <div class="container_site ova-project-template">
        <div class="ova-project archive_project archive_project_filter template_2 <?php echo esc_attr( $fix_height ); echo esc_attr($last_page_fix ); ?> ">
			<div class="content-project grid-project <?php echo esc_attr( $number_column ) ?>">

                <?php if( have_posts() ) : while ( have_posts() ) : the_post(); ?>

                    <?php ovapro_get_template( 'parts/items/item-template-2.php', array( 'type'=> 'grid-project' ) ); ?> 

                <?php endwhile; endif; wp_reset_postdata(); ?>
            </div>
    	</div>
        <?php 
            $args = array(
                'type'      => 'list',
                'next_text' => '<i class="ovaicon ovaicon-next"></i>',
                'prev_text' => '<i class="ovaicon ovaicon-back"></i>',
            );
            the_posts_pagination($args);
        ?>

    </div>
</div>