<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}

	$type         = isset( $args['type'] ) ?  $args['type'] : '';

	// get size portfolio image by type layout
    if ( $type == '' || $type == 'grid-project' ) {
        $image   = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'retirio_project_thumbnail' ); 
	}

	$show_link_to = isset( $args['show_link_to_detail'] ) ? $args['show_link_to_detail'] : 'yes' ;
	$cat_slug = get_cat_slug_pro_by_id_pro( $id );
	

?>
	<div class="project-item">
		<div class="img-project">
		
			<!-- Image -->
			<?php if( $show_link_to == 'yes' ): ?>
		    <a href="<?php the_permalink(); ?>" >
		    <?php endif; ?>	
		    	<img src="<?php echo esc_url( $image ) ?>" class="img-responsive project-img" alt="<?php the_title() ?>">
		    <?php if( $show_link_to == 'yes' ): ?>
			</a>
			<?php endif; ?>	

		</div>
		<div class="info">
			<!-- Date -->
			<div class=" post-date">
				<div class="date-left">
					<span class="right-j "><?php the_time('j' );?></span>
					<span class="right-f "><?php the_time('F' ); echo esc_html(', '); ?></span>
				</div>
				
				<span class="right-y "><?php the_time('Y' );?></span>
			</div>


			<h3 class="name">
				<?php if( $show_link_to == 'yes' ): ?>
			    <a href="<?php the_permalink(); ?>" >
			    <?php endif; ?>	

					<?php the_title(); ?>

				<?php if( $show_link_to == 'yes' ): ?>
				</a>
				<?php endif; ?>	
			</h3>
		</div>
		
	</div>
	